"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e0f2e0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e0f380>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e0f420>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e0f4c0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e0f560>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e0f600>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e0f6a0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e0f740>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e0f7e0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e0f880>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e0f920>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e0f9c0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e0fa60>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e0fb00>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e0fba0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e0fc40>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e0fce0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e0fd80>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e0fe20>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e0fec0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e0ff60>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e60040>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e600e0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e60180>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e60220>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e602c0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e60360>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e60400>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e604a0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e60540>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e605e0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e60680>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e60720>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e607c0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e60860>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e60900>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e609a0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e60a40>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e60ae0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e60b80>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e60c20>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e60cc0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e60d60>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e60e00>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e60ea0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e60f40>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e60fe0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e61080>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e61120>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e611c0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e61260>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e61300>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e613a0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e61440>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e614e0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e61580>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e61620>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e616c0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e61760>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e61800>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e618a0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e61940>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e619e0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e61a80>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e61b20>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e61bc0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e61c60>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e61d00>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e61da0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e61e40>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e61ee0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e61f80>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e62020>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e620c0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e62160>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e62200>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e622a0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e62340>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e623e0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e62480>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e625c0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e62520>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e62660>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e62700>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff83e627a0>)]
name: str = 'fr_HOCCN'
